<bugID>935836<Summary>Moving Downloads Button to Customize Palette breaks the button</Summary><Description>Not sure how much this matters with all the Australis work, but anyway, with Firefox 27 Aurora, if you move the Downloads Button to the Customize Toolbars palette then back to the toolbar then start a long download, the button doesn't show the counter and progress meter, but I think it's meant to (because that's what happens if you don't customize first).

STR:
1. Firefox 27, fresh profile, no add-ons.
2. Should see Downloads Button in the toolbar, in a normal state (no activity, not alerting).
3. Open any page in a tab, save some image from that page to disk.
4. Downloads Button shows the icon in an alerting state, colored, indicating a new completed download.  (It looks like if it's the very first download ever in this new profile, it opens the popup for you automatically instead of alerting; if that happens, just cancel all downloads, restart the browser then follow these STR.)
5. Customize toolbars, drag the Downloads Button to the palette (removing from the toolbar) and exit customization mode.
6. Customize toolbars, drag the Downloads Button from the palette to the toolbar, and exit customization mode.  The Downloads Button should now be back in the toolbar.
7. Visit this page and start the offered ISO download, saving to disk: http://www.ubuntu.com/download/desktop/thank-you?distro=desktop&amp;bits=32&amp;release=lts
8. The Downloads Button is expected to now be showing a counter (time remaining) and progress meter, but instead it's still showing just the alert icon.
9. Also, you should be able to open the downloads panel popup to acknowledge the alert and get the normal icon back, but opening the panel doesn't change the icon.

Expected results:
- Downloads Button shows counter and progress meter for active download

Actual results:
- Downloads Button continues to show alerting-state icon

This is Firefox 27 on Windows Vista 64.</Description></bugID>